View Issue Details

IDProjectCategoryView StatusLast Update
0000592Far Manager 1.7xMacropublic2008-10-01 10:04
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000592: Сбрасывается состояние IClip при использовании функции eval
DescriptionПри использовании функции eval сбрасывается состояние IClip, если параметром передать глобальную либо новую локальную переменную.
Steps To ReproduceБез ошибки:
far:macro post $IClip MsgBox ( "" + IClip ) eval ( "" ) MsgBox ( "" + IClip )
far:macro post $IClip MsgBox ( "" + IClip ) %s = ""; eval ( %s ) MsgBox ( "" + IClip )

С ошибкой:
far:macro post $IClip MsgBox ( "" + IClip ) eval ( %s ) MsgBox ( "" + IClip )
far:macro post $IClip MsgBox ( "" + IClip ) eval ( %%FooBar ) MsgBox ( "" + IClip )
far:macro post $IClip MsgBox ( "" + IClip ) eval ( %%Trim ) MsgBox ( "" + IClip )
TagsNo tags attached.
Build2425

Activities

vskirdin

2008-08-20 07:44

administrator   bugnote:0001756

проверь http://ifolder.ru/7786353

HaRT

2008-08-20 07:50

reporter   bugnote:0001757

Вроде нормально.
Если на что наткнусь — отпишусь.

Denis

2008-08-21 04:59

reporter   bugnote:0001759

Если в ком. строке запустить:
edit:a.txt
и после нажать ESC, то снова открывается редактор с именем файла '?New File?'.

Плагины все последние с svn.

HaRT

2008-08-27 06:21

reporter   bugnote:0001764

> снова открывается редактор с именем файла '?New File?'
Это я записал в #596.

Что-то в последних сборках (как минимум с b.2425 (m577.1) сломалось в диалоге редактирования фильтра и группы раскраски — дата/ время не показываются ни в абсолютном, ни в относительном режиме.

Denis

2008-08-27 07:22

reporter   bugnote:0001765

Это вроде как небольшое последствие переделки фильтров.

Denis

2008-08-28 08:55

reporter   bugnote:0001766

Last edited: 2008-08-28 09:02

Far упал при попытке перехода на ftp панель нажатием 2ки в DriveMenu.
Повторить не удаётся.
Лог в trap.7z

2008-08-28 09:01

 

trap.7z (1,595 bytes)

vskirdin

2008-08-28 12:13

administrator   bugnote:0001767

блииииннн.
Народ, хватит из этого тикета устраивать помойку.
Вроде по сабжу ясно можно понять, что речь в этом тиките идет про макросы.

HaRT

2008-09-30 03:33

reporter   bugnote:0001844

Проверено на сборке 2440

Issue History

Date Modified Username Field Change
2008-08-20 06:41 HaRT New Issue
2008-08-20 06:41 HaRT Status new => assigned
2008-08-20 06:41 HaRT Assigned To => vskirdin
2008-08-20 07:44 vskirdin Note Added: 0001756
2008-08-20 07:44 vskirdin Status assigned => feedback
2008-08-20 07:50 HaRT Note Added: 0001757
2008-08-21 04:59 Denis Note Added: 0001759
2008-08-27 06:21 HaRT Note Added: 0001764
2008-08-27 07:22 Denis Note Added: 0001765
2008-08-28 08:55 Denis Note Added: 0001766
2008-08-28 08:56 Denis Note Edited: 0001766
2008-08-28 09:01 Denis File Added: trap.7z
2008-08-28 09:02 Denis Note Edited: 0001766
2008-08-28 09:02 Denis Note Edited: 0001766
2008-08-28 12:13 vskirdin Note Added: 0001767
2008-09-30 03:33 HaRT Status feedback => resolved
2008-09-30 03:33 HaRT Resolution open => fixed
2008-09-30 03:33 HaRT Note Added: 0001844
2008-10-01 10:04 vskirdin Build => 2425
2008-10-01 10:04 vskirdin Status resolved => closed
2008-10-01 10:04 vskirdin Fixed in Version => 1.71